ModLand.NET on FaceBook ModLand.NET on Google+ ModLand.NET on YouTube ModLand.NET on YouTube

Popular this Week

941 downloads 71.5 MB 5 comments

Scania R & Streamline Modifications v 2.2.4 for ETS2 version 1.35

Rating: 4/5, based on 4 votes
uploaded 2019-05-20 19:44:06, by mods82
30
11

Description:


This mod adds reworked versions of the Scania R series and Streamline to ETS2. Contains many customization options and more chassis, cabin, engine and transmission options.
Totally standalone mod, does not replace anything. You can find the truck at your Scania dealer.
Currently supported game version: 1.35
Current mod version: V2.2.4
Cleanser fixes for new version compatibility 1.35
Correction and conversion of the PMG and PMA files among several other corrections for full operation in this latest version.



Credits:
credits Mod creator: RJL / Fordsonmies Others: GT-Mike, 50keda, Sheryo, Anaheim, Mr. Poland, Szeryff123 (a few parts from them), SCS Software (original models), Thunderhawk (equipment tower)

Photos

Scania R & Streamline Modifications v 2.2.4 for ETS2 version 1.35, 1 photoScania R & Streamline Modifications v 2.2.4 for ETS2 version 1.35, 2 photo

Download Links

uploaded by mods82
Report Mod / Contact

Comments (5)

2019-05-20 20:28:53 pollux89 (Guest)
comme d habitude super mod et pareil pour toute la gamme rjl (addons etc) mais j aimerais un mod avec antennes cb de chaque cotes du pare soleil merci pour une éventuelle réponse dans les commentaires MERCI
2019-05-21 05:54:18 trucker (Guest)
None of your mods on scania rjl is working. "uncompatable" for me look like stolen mod that isn't finish or just copy of the old one which doesn't support 1.35.x and above.
2019-05-21 16:26:09 Cr@sH (Guest)
It's v2.2.3. There is no official RJL update for 1.35 as of now. But don't take my word for it, check out the official SCS forum: https://forum.scssoft.com/viewtopic.php?f=35&t=177963 cheers
2019-05-25 11:14:39 mar2nakonek16 (Guest)
In my game in the mods tab, I write that the mod is compatible ;[[[
2019-05-25 11:32:24 pollux89 (Guest)
mod compatible v 1.35xx .je joue avec ......aucun problemes

Leave a Comment

Your Name:

Your Comment Message: